Draft Shape2DView/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "Obiekt ''Widok 2D kształtu'' wywodzi się z obiektu Część: Part2DObject i dziedziczy wszystkie jego właściwości. Posiada on również następuj...")
(Created page with "{{TitleProperty|Rysunek Roboczy}}")
Line 49: Line 49:
===Dane===
===Dane===


{{TitleProperty|Draft}}
{{TitleProperty|Rysunek Roboczy}}


* {{PropertyData|Auto Update|Bool}}: specifies if the projection should be automatically recomputed if the {{PropertyData|Base}} object changes. Selecting {{False}} can be useful if there are many Draft Shape2DViews in a document or if they are complex. If set to {{False}} the [[Std_Refresh|Std Refresh]] command must be used to update the projection. {{Version|0.20}}
* {{PropertyData|Auto Update|Bool}}: specifies if the projection should be automatically recomputed if the {{PropertyData|Base}} object changes. Selecting {{False}} can be useful if there are many Draft Shape2DViews in a document or if they are complex. If set to {{False}} the [[Std_Refresh|Std Refresh]] command must be used to update the projection. {{Version|0.20}}

Revision as of 16:37, 16 November 2021

Rysunek Roboczy: Widok 2D kształtu

Lokalizacja w menu
Modyfikacja → Widok 2D kształtu
Środowisko pracy
Rysunek Roboczy, Architektura
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
brak

Opis

Polecenie Widok 2D kształtu' tworzy rzuty 2D z wybranych obiektów, zwykle brył przestrzennych lub Płaszczyzny przekroju środowiska Architektura. Rzuty są umieszczane w oknie widoku 3D.

Rzuty Widok 2D kształtu mogą być wyświetlane w środowisku Rysunek Techniczny używając polecenia Wstaw widok rysunku. Alternatywnie środowisko Rysunek Techniczny oferuje swoje własne narzędzia do rzutowania. Tworzą one jednak rzuty, które są wyświetlane tylko na stronie rysunku a nie w oknie widoku 3D.

Rzutowanie brył na płaszczyznę XY

Użycie

  1. Opcjonalnie obróć widok 3D. Kierunek ujęcia widoku w oknie widoku 3D określa wektor projekcji. Na przykład, widok od góry będzie rzutować na płaszczyznę XY. Wektor projekcji jest ignorowany dla rzutów utworzonych przez funkcję Płaszczyzna przekroju środowiska Architektura.
  2. Opcjonalnie wybierz jeden lub więcej obiektów.
  3. Istnieje kilka sposobów na wywołanie polecenia:
    • Naciśnij przycisk Widok 2D kształtu.
    • Wybierz opcję z menu Modyfikacja → Widok 2D kształtu.
  4. Jeśli nie wybrałeś jeszcze żadnego obiektu: wybierz obiekt w oknie widoku 3D.
  5. Rzutowane obiekty są tworzone na płaszczyźnie XY.

Jak tworzyć plany i przekroje o różnych szerokościach linii

Rysunki z różnymi szerokościami linii dla linii widocznych i linii cięcia mogą być łatwo utworzone przez użycie dwóch obiektów Widok 2D kształtu z tego samego Płaszczyzna przekroju. Jeden z obiektów Widok 2D kształtu ma ustawiony tryb rzutowania na Bryła, który renderuje linie widoczne, a drugi ustawiony na Linia cięcia lub Powierzchnia cięcia, który renderuje linie cięcia. Oba obiekty Widok 2D kształtu są następnie umieszczone w tym samym miejscu, jeden na drugim.

Właściwości

Zobacz również: Edytor właściwości.

Obiekt Widok 2D kształtu wywodzi się z obiektu Część: Part2DObject i dziedziczy wszystkie jego właściwości. Posiada on również następujące dodatkowe właściwości:

Dane

Rysunek Roboczy

  • DANEAuto Update (Bool): specifies if the projection should be automatically recomputed if the DANEBase object changes. Selecting false can be useful if there are many Draft Shape2DViews in a document or if they are complex. If set to false the Std Refresh command must be used to update the projection. introduced in version 0.20
  • DANEBase (Link): specifies the object to be projected.
  • DANEFace Numbers (IntegerList): specifies the indices of the faces to be projected. Only works if DANEProjection Mode is Individual Faces.
  • DANEFuse Arch (Bool): specifies if Arch objects of the same type and material are fused or not.
  • DANEHidden Lines (Bool): specifies if hidden lines are shown or not.
  • DANEIn Place (Bool): only works if the selected object is an Arch SectionPlane, and DANEProjection Mode is Cutlines or Cutfaces, specifies if the projection will appear co-planar with the section plane.
  • DANEProjection (Vector): specifies the direction of the projection. Ignored if DANEBase is an Arch SectionPlane.
  • DANEProjection Mode (Enumeration): specifies the projection mode. The following modes are available:
    • Solid: projects the entire selected object.
    • Individual Faces: only projects the faces in the DANEFace Numbers list.
    • Cutlines: only works if the selected object is an Arch SectionPlane, projects only the edges cut by the section plane.
    • Cutfaces: only works if the selected object is an Arch SectionPlane, projects the areas cut through solids by the section plane as faces.
    • Solid faces: projects the entire selected object by cutting faces one by one. Can be used if the Solid mode gives wrong results. introduced in version 0.20
  • DANESegment Length (Float): specifies the size in millimeters of linear segments if DANETessellation is true.
  • DANETessellation (Bool): specifies if tessellation should be performed. Tessellation means that curves are replaced by sequences of line segments. This can be computationally intensive if the DANESegment Length is too short.
  • DANEVisible Only (Bool): specifies if the projection should only be recomputed if it is visible.
  • DANEExclusion Points (Vector list): A list of exclusion points. Any edge passing through any of those points will not be drawn. introduced in version 0.20

Widok

Draft

  • WIDOKPattern (Enumeration): not used.
  • WIDOKPattern Size (Float): not used.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a 2D projection use the make_shape2dview method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeShape2DView method.

shape2dview = make_shape2dview(baseobj, projectionVector=None, facenumbers=[])
  • baseobj is the object to be projected.
  • projectionVector is the projection vector. If not supplied the Z axis is used.
  • facenumbers is a list of face numbers (0-based). If supplied only these faces are considered.
  • shape2dview is returned with the created 2D projection.

Change the ProjectionMode property of the created object if required. It can be: "Solid", "Individual Faces", "Cutlines", "Cutfaces" or "Solid faces".

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

box = doc.addObject("Part::Box", "Box")
box.Length = 2300
box.Width = 500
box.Height = 1000

shape1 = Draft.make_shape2dview(box)

shape2 = Draft.make_shape2dview(box, App.Vector(1, -1, 1))

shape3 = Draft.make_shape2dview(box, App.Vector(-1, 1, 1), [0, 5])
shape3.ProjectionMode = "Individual Faces"

doc.recompute()